/* VIEWPORT ERROR MESSAGE */
@media (max-width: 359px) {
    .rc-viewport__error--container {
        background-color: var(--hexcolor-1);
        width: 100%;
        height: 100vh;
        padding: 20px;
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-content: space-between;
    }
    
    .rc-viewport__error--container .rc-error--container__content img {
        width: 100px;
        padding-bottom: 80px;
    }
    
    .rc-viewport__error--container .rc-error--container__content p {
        padding-top: 20px;
        color: var(--hexcolor-darkgray);
        font-size: 1.1em;
    }
    
    .rc-viewport--container {
        display: none;
    }

}

@media (min-width: 360px) {
    .rc-viewport__error--container {
        display: none;
    }
    
    .rc-viewport--container {
        display: block;
    }
    
    /* VIEWPORTS */
    .rc-viewport__tablet,
    .rc-viewport__tablet-desktop,
    .rc-viewport__desktop,
    .rc-viewport__tablet__flex,
    .rc-viewport__tablet-desktop__flex,
    .rc-viewport__desktop__flex,
    .rc-viewport__desktop-1900px {
        display: none !important;
    }
        
}

@media (min-width: 600px) {
    .rc-viewport__mobile,
    .rc-viewport__mobile__flex {
        display: none !important;
    }
    
    .rc-viewport__tablet,
    .rc-viewport__tablet-desktop {
        display: block !important;
    }
    
    .rc-viewport__tablet__flex,
    .rc-viewport__tablet-desktop__flex {
        display: flex !important;
    }
    
}

@media (min-width: 1200px) {
    .rc-viewport__mobile-tablet,
    .rc-viewport__tablet,
    .rc-viewport__mobile-tablet__flex,
    .rc-viewport__tablet__flex {
        display: none !important;
    }
    
    .rc-viewport__desktop,
    .rc-viewport__desktop__flex {
        display: block !important;
    }
    
}

@media (min-width: 1900px) {
    .rc-viewport__desktop-1900px {
        display: flex !important;
    }
    
}